<?php
/* Create a class for your webservice structure, AllMySms */
class AllMySms {
	
	/* parameters for the request */
	public $params = array();
	public $clientSoap;
	
	public function __construct($login, $passwd) {
		$this->params = array(
				"clientCode" => $login,
				"passCode"   => $passwd,
		);
		
		/* Initialize webservice with your WSDL */
		$this->clientSoap = new SoapClient("http://api.msinnovations.com/soap/wsdl.php");
	}
	
	public function getInfo()
	{
		/* Invoke webservice method with your parameters, in this case: getInfo */
		return $this->clientSoap->__soapCall("getInfo", $this->params);
	}

	public function sendSms($messageData)
	{
		$this->params[] = $messageData;
		/* Invoke webservice method with your parameters, in this case: sendSms */
		return $this->clientSoap->__soapCall("sendSms", $this->params);
	}
}

/* Fill your AllMySms Object */
$allmysms = new AllMySms("_YOUR_ALLMYSMS_LOGIN_", "_YOUR_ALLMYSMS_PASSWORD_");

//get information about your account
$response = $allmysms->getInfo();
var_dump($response);

//sending sms
//create a sms object (cf: documentation)
$messageData = new stdClass();
$messageData->message = "lorem ipsum";
$messageData->campaignName = "soap campaign";
$messageData->sms->item[0]->mobilePhone = "33611111111";
$messageData->sms->item[1]->mobilePhone = "33622222222";

//send sms
$response = $allmysms->sendSms($messageData);

/* var dump webservice response */
var_dump($response);
